# DC-Agent

## Guide

### Linux、Darwin(Mac OS)

To **install** or **run** dc-agent, you can use the [install script][2] using cURL:

```sh
curl -O https://y-bi.top/setup.sh && sudo chmod +x setup.sh && sudo ./setup.sh
# Or
# wget https://y-bi.top/setup.sh
# sudo chmod +x setup.sh
# sudo ./setup.sh
```

Before install in gentoo:

```bash
ln -s /sbin/rc-service /sbin/service
```

After install in gentoo:

```bash
rc-update add DC-Agent boot
```

### Windows

Download setup file: [https://y-bi.top/setup.exe](https://y-bi.top/setup.exe)

Reluctantly support for Windows XP, require .NET Framework 4.0, limited support only, please upgrade the operating system as soon.

Minimum system support for Windows 7 or Windows Server 2008 R2. Node.js no longer supports the old operating system.

For security, it is recommended to open tls1.2, enable Transport Layer Security (TLS) 1.2 [https://github.com/TheLevelUp/pos-tls-patcher](https://github.com/TheLevelUp/pos-tls-patcher).

## Author

Yi Wang a@wyr.me
